org.eclipse.oomph.util

## Interface Confirmer

-     public interface Confirmer

  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `Confirmer.Confirmation`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Confirmer` | `ACCEPT`
    `static Confirmer` | `DECLINE`
    `static Confirmer` | `DEFAULT`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Confirmer.Confirmation` | `confirm(boolean defaultConfirmed, Object info)`

- - ### Field Detail

    - #### ACCEPT

          static final Confirmer ACCEPT

    - #### DECLINE

          static final Confirmer DECLINE

    - #### DEFAULT

          static final Confirmer DEFAULT

  - ### Method Detail

    - #### confirm

          Confirmer.Confirmation confirm(boolean defaultConfirmed,
                                       Object info)

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html